Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclSocketIBase Class Reference

`#include <oscl_socket_imp_base.h>`

Inheritance diagram for OsclSocketIBase:

## Public Methods
virtual | ~OsclSocketIBase ()
virtual int32 | Open (OsclSocketServI &aServer, uint32 addrFamily, uint32 sockType, uint32 protocol)=0
virtual int32 | Open (OsclSocketServI &aServer)=0
virtual int32 | Bind (OsclNetworkAddress &anAddr)=0
virtual int32 | Join (OsclNetworkAddress &anAddr)=0
virtual int32 | Close ()=0
virtual int32 | Listen (uint32 qSize)=0
virtual void | Connect (ConnectParam &, OsclSocketRequestAO &)=0
virtual void | Accept (AcceptParam &, OsclSocketRequestAO &)=0
virtual void | Shutdown (ShutdownParam &, OsclSocketRequestAO &)=0
virtual void | Send (SendParam &, OsclSocketRequestAO &)=0
virtual void | SendSuccess (SendParam &)=0
virtual void | SendTo (SendToParam &, OsclSocketRequestAO &)=0
virtual void | SendToSuccess (SendToParam &)=0
virtual void | Recv (RecvParam &, OsclSocketRequestAO &)=0
virtual void | RecvSuccess (RecvParam &)=0
virtual void | RecvFrom (RecvFromParam &, OsclSocketRequestAO &)=0
virtual void | RecvFromSuccess (RecvFromParam &)=0
virtual void | BindAsync (BindParam &, OsclSocketRequestAO &)
virtual void | ListenAsync (ListenParam &, OsclSocketRequestAO &)
void | CancelFxn (TPVSocketFxn)
## Static Public Methods
bool | HasAsyncBind ()
bool | HasAsyncListen ()
## Protected Methods
| OsclSocketIBase (Oscl_DefAlloc &a)
virtual void | CancelConnect ()=0
virtual void | CancelAccept ()=0
virtual void | CancelShutdown ()=0
virtual void | CancelSend ()=0
virtual void | CancelSendTo ()=0
virtual void | CancelRecv ()=0
virtual void | CancelRecvFrom ()=0
virtual void | CancelBind ()
virtual void | CancelListen ()
virtual bool | IsOpen ()=0
## Static Protected Methods
int | GetShutdown (TPVSocketShutdown aOsclVal)
## Protected Attributes
Oscl_DefAlloc & | iAlloc
OsclSocketServI * | iSocketServ
## Friends
class | OsclSocketRequest
class | OsclSocketMethod
class | OsclSocketRequestAO
class | OsclUDPSocket
class | OsclTCPSocket

## Detailed Description

Socket implementation base class

## Constructor & Destructor Documentation

virtual OsclSocketIBase::~OsclSocketIBase | ( |  | ) | `[virtual]`

OsclSocketIBase::OsclSocketIBase | ( | Oscl_DefAlloc & | a | ) | `[protected]`

## Member Function Documentation

virtual void OsclSocketIBase::Accept | ( | AcceptParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual int32 OsclSocketIBase::Bind | ( | OsclNetworkAddress & | anAddr | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::BindAsync | ( | BindParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[inline, virtual]`

virtual void OsclSocketIBase::CancelAccept | ( |  | ) | `[protected, pure virtual]`

virtual void OsclSocketIBase::CancelBind | ( |  | ) | `[inline, protected, virtual]`

virtual void OsclSocketIBase::CancelConnect | ( |  | ) | `[protected, pure virtual]`

void OsclSocketIBase::CancelFxn | ( | TPVSocketFxn |  | ) |

virtual void OsclSocketIBase::CancelListen | ( |  | ) | `[inline, protected, virtual]`

virtual void OsclSocketIBase::CancelRecv | ( |  | ) | `[protected, pure virtual]`

virtual void OsclSocketIBase::CancelRecvFrom | ( |  | ) | `[protected, pure virtual]`

virtual void OsclSocketIBase::CancelSend | ( |  | ) | `[protected, pure virtual]`

virtual void OsclSocketIBase::CancelSendTo | ( |  | ) | `[protected, pure virtual]`

virtual void OsclSocketIBase::CancelShutdown | ( |  | ) | `[protected, pure virtual]`

virtual int32 OsclSocketIBase::Close | ( |  | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::Connect | ( | ConnectParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

int OsclSocketIBase::GetShutdown | ( | TPVSocketShutdown | aOsclVal | ) | `[static, protected]`

bool OsclSocketIBase::HasAsyncBind | ( |  | ) | `[static]`

bool OsclSocketIBase::HasAsyncListen | ( |  | ) | `[static]`

virtual bool OsclSocketIBase::IsOpen | ( |  | ) | `[protected, pure virtual]`

virtual int32 OsclSocketIBase::Join | ( | OsclNetworkAddress & | anAddr | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual int32 OsclSocketIBase::Listen | ( | uint32 | qSize | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::ListenAsync | ( | ListenParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[inline, virtual]`

virtual int32 OsclSocketIBase::Open | ( | OsclSocketServI & | aServer | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual int32 OsclSocketIBase::Open | ( | OsclSocketServI & | aServer,
|  | uint32 | addrFamily,
|  | uint32 | sockType,
|  | uint32 | protocol
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::Recv | ( | RecvParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::RecvFrom | ( | RecvFromParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::RecvFromSuccess | ( | RecvFromParam & |  | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::RecvSuccess | ( | RecvParam & |  | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::Send | ( | SendParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::SendSuccess | ( | SendParam & |  | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::SendTo | ( | SendToParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::SendToSuccess | ( | SendToParam & |  | ) | `[pure virtual]`

| Implemented in OsclSocketI.

virtual void OsclSocketIBase::Shutdown | ( | ShutdownParam & | ,
|  | OsclSocketRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclSocketI.

## Friends And Related Function Documentation

friend class OsclSocketMethod`[friend]`

friend class OsclSocketRequest`[friend]`

friend class OsclSocketRequestAO`[friend]`

friend class OsclTCPSocket`[friend]`

| Reimplemented in OsclSocketI.

friend class OsclUDPSocket`[friend]`

| Reimplemented in OsclSocketI.

## Field Documentation

Oscl_DefAlloc& OsclSocketIBase::iAlloc`[protected]`

OsclSocketServI* OsclSocketIBase::iSocketServ`[protected]`

The documentation for this class was generated from the following file:

- oscl_socket_imp_base.h